BitmapRendererEventProducer (Apache FOP 2.7 API)
Date: 2022-01-12

org.apache.fop.render.bitmap

## Interface BitmapRendererEventProducer

-     public interface BitmapRendererEventProducer

  Event producer interface for events generated by the bitmap renderers.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static class` | `BitmapRendererEventProducer.Provider` Provider class for the event producer.

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `noImageWriterFound(java.lang.Object source, java.lang.String mime)` No ImageWriter found.
    `void` | `stoppingAfterFirstPageNoFilename(java.lang.Object source)` No filename information available.
    `void` | `stoppingAfterFirstPageNoMultiWriter(java.lang.Object source)` Image writer does not support multiple images.

- - ### Method Detail

    - #### stoppingAfterFirstPageNoFilename

          void stoppingAfterFirstPageNoFilename(java.lang.Object source)

      No filename information available. Stopping early after the first page.
      Parameters:
        `source` - the event source
      Event severity level:
        WARN

    - #### stoppingAfterFirstPageNoMultiWriter

          void stoppingAfterFirstPageNoMultiWriter(java.lang.Object source)

      Image writer does not support multiple images. Only the first page has been produced.
      Parameters:
        `source` - the event source
      Event severity level:
        WARN

    - #### noImageWriterFound

          void noImageWriterFound(java.lang.Object source,
                                  java.lang.String mime)
                           throws java.io.IOException

      No ImageWriter found.
      Parameters:
        `source` - the event source
        `mime` - the target MIME type
      Throws:
        `java.io.IOException` - the I/O error provoked by the method call
      Event severity level:
        FATAL

Copyright 1999-2022 The Apache Software Foundation. All Rights Reserved.